#
# Makefile for mod_test.so
#
.SUFFIXES:
.SUFFIXES:		.lc .oc .lpc .opc .pc .c .o .cpp .oln

ORA_LIB         = $(ORACLE_HOME)/lib
APACHE_TOP      = /usr/local/apache/src

ORAINC          = -I$(ORACLE_HOME)/rdbms/demo \
		  -I$(ORACLE_HOME)/rdbms/public \
		  -I$(ORACLE_HOME)/network/public
INCLUDES        = -I. -I$(APACHE_TOP)/os/unix -I$(APACHE_TOP)/include $(ORAINC)

CC              = cc
LD              = ld
CFLAGS          = -DWITH_OCI -DLINUX -Wall -O
LDFLAGS         = -shared

CLIBS           = -L/usr/lib -ldl -lc

ORALINK         = -L$(ORACLE_HOME)/lib -lclntsh

OBJS            = modtest.o

mod_test.so: $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(ORALINK) $(CLIBS)

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<
