#
# Makefile for mod_owa.so
#
.SUFFIXES:
.SUFFIXES:		.lc .oc .lpc .opc .pc .c .o .cpp .oln

ORA_LIB         = $(ORACLE_HOME)/lib
APACHE_TOP      = /usr/local/apache/src

ORAINC          = -I$(ORACLE_HOME)/rdbms/demo \
		  -I$(ORACLE_HOME)/rdbms/public \
		  -I$(ORACLE_HOME)/network/public
INCLUDES        = -I. -I$(APACHE_TOP)/os/unix -I$(APACHE_TOP)/include $(ORAINC)

CC              = cc
LD              = cc
CFLAGS          = -DLINUX -Wall -O
LDFLAGS         = -shared

CLIBS           = -L/usr/lib -ldl -lpthread -lc

# Needed for Solaris link:
NLIBS           = -L/usr/lib -lsocket -lnsl

ORALINK         = -L$(ORACLE_HOME)/lib -lclntsh

OBJS            = owautil.o owafile.o owanls.o owasql.o \
                  owadoc.o owahand.o owaplsql.o owacache.o

owad: owad.o $(OBJS)
	$(LD) -o $@ owad.o $(OBJS) $(ORALINK) $(CLIBS)

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<
